| CMSIS-DSP Verison 1.4.1 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
system_ARMCM4.c File Reference

CMSIS Device System Source File for ARMCM4 Device Series. More...

## Macros
#define | __HSI
#define | __XTAL
#define | __SYSTEM_CLOCK

## Functions
void | SystemCoreClockUpdate (void)
void | SystemInit (void)
| Setup the microcontroller system. Initialize the System. More...

## Variables
uint32_t | SystemCoreClock

## Description

Version
  V1.08

Date
  23. November 2012

Note

## Macro Definition Documentation

#define __HSI

#define __SYSTEM_CLOCK

Referenced by SystemCoreClockUpdate(), and SystemInit().

#define __XTAL

## Function Documentation

void SystemCoreClockUpdate | ( | void |  | ) |

References __SYSTEM_CLOCK, and SystemCoreClock.

void SystemInit | ( | void |  | ) |

Initialize the system

Parameters

  none |

Returns
  none

References __SYSTEM_CLOCK, and SystemCoreClock.

## Variable Documentation

uint32_t SystemCoreClock

System Clock Frequency (Core Clock)